Subject: Last frost date for DC???

From: [email-masked] (Scott shy)
Date: Fri, 03 Mar 95 15:24:12 EST

According to Ortho books, the last frost date or D.C. is March 29 and
the first frost date in the fall is November 9. Of course, it all
depends on where your garden is situated as well. If you're up on a
hill, it may be later and if you're down in a depression, it may be
sooner. If your land slopes downward away from your house, that's great
as far as frost goes because the frost will also roll downward. Just be
sure not to plant your half-hardy vegetation at the bottom of that hill
or the frost will get to it quicker than you want it to.
Good luck!
Tam

Gateway Online ... 38 Line Multi-user Interactive Information System
Taylor, Michigan - (313)291-5571 2400 baud (313)291-5571 9600 baud
Sysops: Bill Mullen - Jeff Breitner